.homeContainer{
    height: 90vh;
    display: flex;
    /* align-items: center; */
    justify-content: center;
    flex-direction: column;
}

.wordsHome{
    width: 70%;
}
.wordsHome h1{
    color: var(--text-color);
    font-size: 3rem;
}
.wordsHome h1 span{
    color: transparent;
    transition: width 0.1s ease-out;
    background: linear-gradient(270deg, var(--min-text-color), var(--main-color) 25%, var(--text-color) 50%, var(--main-color) 75%, var(--min-text-color) 100%);
    background-size: 400% 400%; 
    animation: gradientProgress 5s linear infinite; 
    background-clip: text;
}
.wordsHome h2{
    color: var(--text-color);
}
.wordsHome h2 span{
    color: transparent;
    transition: width 0.1s ease-out;
    background: linear-gradient(270deg, var(--min-text-color), var(--main-color) 25%, var(--text-color) 50%, var(--main-color) 75%, var(--min-text-color) 100%);
    background-size: 400% 400%; 
    animation: gradientProgress 5s linear infinite; 
    background-clip: text;
}
.wordsHome p{
    color: var(--text-color);
}

.homeImg{
    display: flex;
   justify-content: center;
}
.homeImg img{
    position: absolute;
    width: 80vh;
    top: 5vh;
    right: -40vh;
    vertical-align: middle;
    border-radius: 50%;
    box-shadow: 
        0 0 10px rgba(255, 255, 255, 0.8),  
        0 0 20px rgba(255, 0, 0, 0.6),   
        0 0 30px rgba(255, 0, 0, 0.5),   
        0 0 40px rgba(255, 0, 0, 0.4),   
        0 0 50px rgba(255, 0, 0, 0.3);  
    animation: floatingImage 2s ease-in-out infinite;
}

@keyframes floatingImage {
    0% {
        transform: translateY(0);
    }
    50% {
        transform: translateY(-1rem);
    }
    100% {
        transform: translateY(0);
    }
}






















/* image breakpoints */
@media (max-width: 1720px){
    .wordsHome{
        width: 60%;
    }
}
@media (max-width: 1400px){
    .wordsHome{
        width: 50%;
    }
}

@media (max-width: 1200px){
    .homeImg img{
        width: 70vh;
        top: 10vh;
        right: -35vh;
    }
 }

 @media (max-width: 1040px){
    .homeImg img{
        width: 60vh;
        top: 15vh;
        right: -30vh;
    }
 }
 @media (max-width: 900px){
    .homeImg img{
        position: unset;
        width: 400px;
    }
    .wordsHome{
        width: 100%;
        margin-top: 1rem;
    }
    .wordsHome h1{
        font-size: 1.5rem;
    }
    .wordsHome h2{
        font-size: 90%;
    }
    .wordsHome p{
        font-size: 1rem;
    }
 }

 @media (max-width: 700px){
    .homeImg img{
        width: 350px;
    }
 }

 @media (max-width: 650px){
    .homeImg img{
        width: 300px;
    }
    .wordsHome h1{
        font-size: 1.2rem;
    }
    .wordsHome h2{
        font-size: .9rem;
    }
    .wordsHome p{
        font-size: .7rem;
    }
 }